Package org.apache.sysds.runtime.instructions.spark

# Class BuiltinNarySPInstruction.PadBlocksFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.BuiltinNarySPInstruction.PadBlocksFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>`

Enclosing class:
  BuiltinNarySPInstruction

public static class BuiltinNarySPInstruction.PadBlocksFunction extends Object implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PadBlocksFunction(DataCharacteristics mcOut)`

## Method Summary

Modifier and Type
Method
Description
`scala.Tuple2<MatrixIndexes,MatrixBlock>`
`call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PadBlocksFunction

public PadBlocksFunction(DataCharacteristics mcOut)

## Method Details

### call

public scala.Tuple2<MatrixIndexes,MatrixBlock> call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>`
Throws:
  `Exception`